import { jsx } from "react/jsx-runtime";
import { FlowerIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Flower = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Flower", ...props, children: /* @__PURE__ */ jsx(FlowerIcon, { weight: variant }) });
  }
);
Flower.displayName = "Flower";
Object.assign(Flower, { isGdsIcon: true });
export {
  Flower
};
